/*
 * <copyright>
 *
 * Copyright (c) 2005-2006 Sven Efftinge (http://www.efftinge.de) and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Sven Efftinge (http://www.efftinge.de) - Initial API and implementation
 *
 * </copyright>
 */
package org.openarchitectureware.expression.parser;

/**
 * @author Sven Efftinge (http://www.efftinge.de)
 * @author Arno Haase
 * @author Markus Voelter
 */
public interface SyntaxConstants {
	public final static String NS_DELIM = "::";

	public static final String COLLECT = "collect";

	public static final String SELECT = "select";

	public static final String SELECTFIRST = "selectFirst";

	public static final String REJECT = "reject";

	public static final String EXISTS = "exists";

	public static final String NOT_EXISTS = "notExists";

	public static final String FOR_ALL = "forAll";

	public static final String SORT_BY = "sortBy";

	public static final String DEFAULT_ELE_NAME = "element";

	public static final String TYPE_SELECT = "typeSelect";
}
