/*
 * <copyright>
 *
 * Copyright (c) 2005-2006 Sven Efftinge (http://www.efftinge.de) and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Sven Efftinge (http://www.efftinge.de) - Initial API and implementation
 *
 * </copyright>
 */
package org.openarchitectureware.xtend;

import java.io.Reader;

import org.openarchitectureware.expression.Resource;
import org.openarchitectureware.expression.ResourceParser;
import org.openarchitectureware.xtend.parser.ParseFacade;



public class XtendResourceParser implements ResourceParser {

    public Resource parse(final Reader in, final String fileName) {
    	return ParseFacade.file(in, fileName);
    }

}
