/*******************************************************************************
 * Copyright (c) 2007 Dennis Hbner and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     committers of openArchitectureWare
 *******************************************************************************/

package org.openarchitectureware.xtext.editor.wizards;

import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.ui.dialogs.WizardNewProjectCreationPage;

public class GenericNewProjectWizardPage extends WizardNewProjectCreationPage {

	public GenericNewProjectWizardPage(String name) {
		super("newProjectWizardPage");
		setTitle("Xtext DSL " + name + " Project");
		setDescription("Xtext DSL " + name + " Project");
		setInitialProjectName(name + "project");
	}

	@Override
	public IWizardPage getPreviousPage() {
		validatePage();
		return super.getPreviousPage();
	}

}
