package org.openarchitectureware.xtext.resource;

import java.io.InputStream;

import org.eclipse.emf.common.util.URI;
import org.openarchitectureware.xtext.parser.IXtextParser;
import org.openarchitectureware.xtext.parser.XtextParser;

public class XtextGrammarResource extends AbstractXtextResource {
	public XtextGrammarResource(URI uri) {
		super(uri);
	}

	@Override
	protected IXtextParser createParser(InputStream inputStream) {
		return new XtextParser(inputStream);
	}

}

